********************************************************************************
*** ARtHEE Phase 1 ESR-Paper
*** Abschluss.do (Figure 5, left graph)
***
*** Steffen Schindler & Felix Bittmann
*** 2021
********************************************************************************


cap cd "/home/fenris/Schreibtisch/Replication files ESR/TEST/Do/Simulation"
do "prog_abschluss.do"		//Read in program

tempfile file
tempname name
postfile `name' diverted logit se lower upper using `file'
forvalues div_working = 0(0.001)0.103 {		//Here we enter the range
	abschluss, psaltdiv(0) pwaltdiv(`div_working') psaltbas(0.116) pwaltbas(0.070) psaltinc(0.472) pwaltinc(0.151)
	post `name' (`div_working') (`r(logit)') (`r(se)') (`r(lower)') (`r(upper)')
}
postclose `name'

****************************************************************

use `file', clear
replace diverted = diverted * 100			//Optische Verbesserung fuer die x-Achse
gen factual = 4.71							//Factual OR

gen or = exp(logit)
replace lower = exp(lower)
replace upper = exp(upper)

*Hier wird geschaut wo der kritische Wert ist*
//Significances and confidence bands are created here
gen factual_logit = 1.55		//LOGIT, faktisch logit tertabschluss i.maxegp if anyhzb == 1 & c == 1 & inlist(maxegp, 1, 3)
gen factual_se = 0.089			//SE von LOGIT-Modell, faktisch
gen diff = factual_logit - logit
gen se_diff = sqrt(factual_se^2 + se^2)
gen z = diff / se_diff
gen p= 2 * (1 - normal(abs(z))) 		//Two-sided p-values, see https://stats.stackexchange.com/a/1483
sort diverted
list diverted p if inrange(p, 0.02, 0.10)
	

global tcrit = 8
twoway (rarea lower upper diverted, color(gs14%50)) ///
	(line or diverted, lpattern(solid)) ///
	(line factual diverted, lpattern(dash)) ///
	, ylabel(1(1)6) ytitle("Odds ratio") scheme(plotplain) ///
	legend(position(6) order(1 "95%-CI" 2 "Simulated OR" 3 "Factual OR")) xline($tcrit) ///
	title("Variation over P{subscript:alt, div} (working class)") ///
	xtitle("Percentage working class students" "affected by diversion mechanism (P{subscript:alt, div})")
graph save "Graphs/abschluss", replace
	
	
*The vertical line indicates the share when the OR is significantly different from the factual value
	



