********************************************************************************
*** ARtHEE Phase 1 ESR-Paper
*** Abschluss_hex.do (Figure 5, right graph)
***
*** Steffen Schindler & Felix Bittmann
*** 2021
********************************************************************************


cap cd "/home/fenris/Schreibtisch/Replication files ESR/TEST/Do/Simulation"
do "prog_abschluss_hex.do"			//Loading Ado

tempfile file
tempname name
postfile `name' div_working div_salariat logit se lower upper using `file'
forvalues div_working = 0(0.005)0.173 {
	forvalues div_salariat = 0(0.005)0.222 {
		abschluss_hex, pwalt(`div_working') psalt(`div_salariat')
		post `name' (`div_working') (`div_salariat') (`r(logit)') (`r(se)') (`r(lower)') (`r(upper)')
	}
}
postclose `name'

****************************************************************

use `file', clear
replace div_working = div_working * 100			//Optische Verbesserung fuer die x-Achse
replace div_salariat = div_salariat * 100


gen or = exp(logit)
replace lower = exp(lower)
replace upper = exp(upper)


	
gen factual_logit = 1.55		//LOGIT, faktisch tertabschluss i.maxegp if anyhzb == 1 & inlist(maxegp, 1, 3) & c == 1
gen factual_se = 0.089			//SE von LOGIT-Modell, faktisch
gen diff = factual_logit - logit
gen se_diff = sqrt(factual_se^2 + se^2)
gen z = diff / se_diff
gen p= 2 * (1 - normal(abs(z))) 		//Two-sided p-values, see https://stats.stackexchange.com/a/1483
	

gen factual_or = exp(factual_logit)
gen ordiff = factual_or - or

cap drop group
gen group = .
replace group = 4 if ordiff > 1.0 & p < 0.05
replace group = 3 if inrange(ordiff, 0, 1.0) & p < 0.05
replace group = 0 if ordiff < -1.0 & p < 0.05
replace group = 1 if inrange(ordiff, -1.0, 0) & p < 0.05
replace group = 2 if missing(group) & p >= 0.05
fre group



tempvar fac_working fac_salariat
gen `fac_working' = 7.0
gen `fac_salariat' = 11.6
set scheme plotplain
hexplot group div_working div_salariat, levels(5) ///
	addplot(line `fac_working' div_salariat, lpattern(solid) lcolor(white) lwidth(medium) || ///
	line div_working `fac_salariat', lpattern(solid) lcolor(white) lwidth(medium)) ///
	ytitle("% working class students (P{subscript:alt})") ///
	xtitle("% salariat class students (P{subscript:alt})") ///
	colors(gs4 gs6 gs14 gs12 gs10) legend(subtitle("") order(1 "significant increase (>+1.0)" ///
	2 "significant increase (<=+1.0)" 3 "no significant change" ///
	4 "significant decrease (>=-1.0)" 5 "significant decrease (<-1.0)") position(6)) ///
	name(hex_hzb, replace) aspectratio(1) title("Variation over P{subscript:alt} (both classes)") ///
	xlabel(0(4)22) ylabel(0(6)18)
graph save "Graphs/abschluss_hex", replace

