

cap program drop abschluss
program define abschluss, rclass
	clear
	syntax, pwaltdiv(real) psaltdiv(real) pwaltbas(real) psaltbas(real) psaltinc(real) pwaltinc(real)
	*Die nachfolgenden Werte muessen aus der neuen Kohorte empirisch uebernommen werden*
	local pworking = 0.452		//Share Working
	local psalariat = 0.548		//Share salariat
	assert (1 - (`pworking' + `psalariat')) < 0.01		//Must add up to 1
	local totalobs = 2765		//Total number of people in the sample

	*Empirical data Salariat*
	local psgym = 0.472
	*Studienabschlusswahrscheinlichkeiten*
	local pshegym = 0.801
	local pshealtbas = 0.64
	local pshealtdiv = 0
	local pshealtinc = 0
	local psabschluss = (`psgym' * `pshegym') + (`psaltbas' * `pshealtbas') ///
		+ (`psaltdiv' * `pshealtdiv') + (`psaltinc' * `pshealtinc')
	local psnotabschluss = 1 - `psabschluss'
	di "`psabschluss' `psnotabschluss'"

	*Empirical data Working*
	local pwgym = 0.151		
	*Studienabschlusswahrscheinlichkeiten*
	local pwhegym = 0.601
	local pwhealtbas = 0.634
	local pwhealtdiv = 0.601
	local pwhealtinc = 0
	local pwabschluss = (`pwgym' * `pwhegym') + (`pwaltbas' * `pwhealtbas') ///
		+ (`pwaltdiv' * `pwhealtdiv') + (`pwaltinc' * `pwhealtinc')
	local pwnotabschluss = 1 - `pwabschluss'
	di "`pwabschluss' `pwnotabschluss'"

	set obs 4
	gen ID = _n
	gen salariat = .
	replace salariat = 1 if inlist(ID, 1, 2)		//SAL
	replace salariat = 0 if inlist(ID, 3, 4)		//WORK

	gen outcome = .
	replace outcome = 0 if inlist(ID, 1, 3)
	replace outcome = 1 if inlist(ID, 2, 4)
		
	gen abs = .
	replace abs = round(`totalobs' * `psnotabschluss' * `psalariat') if ID == 1
	replace abs = round(`totalobs' * `psabschluss' * `psalariat') if ID == 2			//SAL + ABSCHLUSS
	replace abs = round(`totalobs' * `pwnotabschluss' * `pworking') if ID == 3
	replace abs = round(`totalobs' * `pwabschluss' * `pworking') if ID == 4			//WORK + ABSCHLUSS
	fre abs

	qui logit outcome salariat [fweight=abs]
	assert inrange(`e(N)', `totalobs' - 5, `totalobs' + 5)
	return scalar logit = r(table)[1, 1]	//logits
	return scalar se = r(table)[2, 1]
	return scalar lower = r(table)[5, 1]
	return scalar upper = r(table)[6, 1]
end


/*
abschluss, psaltdiv(0) pwaltdiv(0.099) psaltbas(0.116) pwaltbas(0.070)
return list
di exp(r(logit))
