

cap program drop abschluss_hex
program define abschluss_hex, rclass
	clear
	syntax, pwalt(real) psalt(real)		//Nur totale alternative Anteile eingeben
	local cutoffw = 0.07		//Hier wird festgelegt, wo die Grenze liegt fuer die Abschlusszuteilung
	local cutoffs = 0.116
	*Saettigung in den Simulationen festlegen*
	*Working*
	if `pwalt' <= `cutoffw' {
		local pwaltbas = `pwalt'
		local pwaltdiv = 0
		local pwhealtdiv = 0		//Gruppe ist sowieso leer
	}	
	else {
		local pwaltbas = `cutoffw'
		local pwaltdiv = `pwalt' - `cutoffw'
		local maxw = 0.173	//Absolute Grenzen die ersetzt werden sollen
		local rangew = `maxw' - `cutoffw'		//Sollte 0.103 sein
		local hemaxw = 0.634
		local herangew = 0.125		//0.634 - 0.509, Erfolgsquoten Bereich
		local anteilw = `pwaltdiv' / `rangew'		//Bei einem totalen Wert von 0.08 ergibt es 0.0971
		local anteilhew = `anteilw' * `herangew'	//Wäre dann 0.0121
		local pwhealtdiv = `hemaxw' - `anteilhew'	//0.6219, neue Erfolgsquote in dieser Gruppe
		assert inrange(`pwhealtdiv', 0.509, 0.634)	//Sanity Check
	}
	*Salariat*
	if `psalt' <= `cutoffs' {
		local psaltbas = `psalt'
		local psaltdiv = 0
		local pshealtdiv = 0		//Gruppe ist sowieso leer
	}	
	else {
		local psaltbas = `cutoffs'
		local psaltdiv = `psalt' - `cutoffs'
		local maxs = 0.222	//Absolute Grenzen die ersetzt werden sollen
		local ranges = `maxs' - `cutoffs'		//Sollte 0.106 sein	= 0.222-0.116
		local hemaxs = 0.604
		local heranges = 0.018		//0.604 - 0.586, Erfolgsquoten Bereich
		local anteils = `psaltdiv' / `ranges'		
		local anteilhes = `anteils' * `heranges'
		local pshealtdiv = `hemaxs' - `anteilhes'
		assert inrange(`pshealtdiv', 0.586, 0.604)	//Sanity check
	}

	*Kontrolle*
	*di "`pwalt' `pwhealtdiv' | `psalt' `pshealtdiv'"

	
	*Die nachfolgenden Werte muessen aus der neuen Kohorte empirisch uebernommen werden*
	local pworking = 0.452		//Share Working	-->	fre maxegp if c == 1 & anyhzb == 1 & inlist(maxegp, 1, 3)
	local psalariat = 0.548		//Share salariat
	assert (1 - (`pworking' + `psalariat')) < 0.01		//Must add up to 1
	local totalobs = 2765		//Total number of people in the sample

	*Empirical data Salariat*
	local psgym = 0.472
	*Studienabschlusswahrscheinlichkeiten*
	local pshegym = 0.801
	local pshealtbas = 0.604
	local pshealtinc = 0
	local psabschluss = (`psgym' * `pshegym') + (`psaltbas' * `pshealtbas') ///
		+ (`psaltdiv' * `pshealtdiv')
	local psnotabschluss = 1 - `psabschluss'
	di "`psabschluss' `psnotabschluss'"

	*Empirical data Working*
	local pwgym = 0.151		
	*Studienabschlusswahrscheinlichkeiten*
	local pwhegym = 0.601
	local pwhealtbas = 0.634
	local pwhealtinc = 0
	local pwabschluss = (`pwgym' * `pwhegym') + (`pwaltbas' * `pwhealtbas') ///
		+ (`pwaltdiv' * `pwhealtdiv')
	local pwnotabschluss = 1 - `pwabschluss'
	di "`pwabschluss' `pwnotabschluss'"

	set obs 4
	gen ID = _n
	gen salariat = .
	replace salariat = 1 if inlist(ID, 1, 2)		//SAL
	replace salariat = 0 if inlist(ID, 3, 4)		//WORK

	gen outcome = .
	replace outcome = 0 if inlist(ID, 1, 3)
	replace outcome = 1 if inlist(ID, 2, 4)
		
	gen abs = .
	replace abs = round(`totalobs' * `psnotabschluss' * `psalariat') if ID == 1
	replace abs = round(`totalobs' * `psabschluss' * `psalariat') if ID == 2			//SAL + ABSCHLUSS
	replace abs = round(`totalobs' * `pwnotabschluss' * `pworking') if ID == 3
	replace abs = round(`totalobs' * `pwabschluss' * `pworking') if ID == 4			//WORK + ABSCHLUSS
	fre abs

	qui logit outcome salariat [fweight=abs]
	assert inrange(`e(N)', `totalobs' - 5, `totalobs' + 5)
	return scalar logit = r(table)[1, 1]	//logits
	return scalar se = r(table)[2, 1]
	return scalar lower = r(table)[5, 1]
	return scalar upper = r(table)[6, 1]
end


/*
abschluss_hex, pwalt(0.09) psalt(0.12)
return list
di exp(r(logit))
