

cap program drop hzb
program define hzb, rclass
	clear
	syntax, pwaltdiv(real) psaltdiv(real) pwaltbas(real) psaltbas(real)
	*Die nachfolgenden Werte muessen aus der neuen Kohorte empirisch uebernommen werden*
	local pworking = 0.452		//Share Working
	local psalariat = 0.548		//Share salariat
	assert (1 - (`pworking' + `psalariat')) < 0.01		//Must add up to 1
	local totalobs = 2765		//Total number of people in the sample

	*Empirical data Salariat*
	local psgym = 0.472
	local pseligible = `psgym' + `psaltbas' + `psaltdiv'
	local psnoteligible = 1 - `pseligible'
	di "`pseligible' `psnoteligible'"

	*Empirical data Working*
	local pwgym = 0.151		
	local pweligible = `pwgym' + `pwaltbas' + `pwaltdiv'
	local pwnoteligible = 1 - `pweligible'
	di "`pweligible' `pwnoteligible'"

	set obs 4
	gen ID = _n
	gen salariat = .
	replace salariat = 1 if inlist(ID, 1, 2)		//SAL
	replace salariat = 0 if inlist(ID, 3, 4)		//WORK

	gen outcome = .
	replace outcome = 0 if inlist(ID, 1, 3)
	replace outcome = 1 if inlist(ID, 2, 4)
		
	gen abs = .
	replace abs = round(`totalobs' * `psnoteligible' * `psalariat') if ID == 1
	replace abs = round(`totalobs' * `pseligible' * `psalariat') if ID == 2			//SAL + HZB
	replace abs = round(`totalobs' * `pwnoteligible' * `pworking') if ID == 3
	replace abs = round(`totalobs' * `pweligible' * `pworking') if ID == 4			//WORK + HZB
	fre abs

	logit outcome salariat [fweight=abs]
	assert inrange(`e(N)', `totalobs' - 5, `totalobs' + 5)
	return scalar logit = r(table)[1, 1]	//logits
	return scalar se = r(table)[2, 1]
	return scalar lower = r(table)[5, 1]
	return scalar upper = r(table)[6, 1]
end

*hzb, psaltdiv(0) pwaltdiv(0.10) psaltbas(0.116) pwaltbas(0.070)
*return list
